## kapptemplate 25.12.0+p24.04+vstable+git20260105.1105

=== debian/changelog ===
kapptemplate (4:25.12.0+p24.04+vstable+git20260105.1105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:05:33 +0000
