## kapptemplate 25.12.0+p24.04+vunstable+git20251208.2055

=== debian/changelog ===
kapptemplate (4:25.12.0+p24.04+vunstable+git20251208.2055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:55:58 +0000
