=== debian/changelog ===
kapptemplate (4:25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/watch: Update to version 5.
  * debian/copyright: Solve lintian warnings on fsf addresses.
  * Bump Standards-Version to 4.7.3, drop Priority: optional and
    Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 10:28:18 -0500
