## kapptemplate 25.12.1+p24.04+vstable+git20260106.2029

=== debian/changelog ===
kapptemplate (4:25.12.1+p24.04+vstable+git20260106.2029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:29:14 +0000

kapptemplate (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:43 +1000
