## kapptemplate 25.12.1+p24.04+vstable+git20260129.0145

=== debian/changelog ===
kapptemplate (4:25.12.1+p24.04+vstable+git20260129.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:45:30 +0000
