=== debian/changelog ===
kapptemplate (4:25.12.1+p24.04+vunstable+git20260202.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:28:10 +0000
